cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gerard van Enk" <gerard.van....@eo.nl>
Subject problem compiling alpha0 [was: RE: cvs commit: xml-cocoon/src/org/apache/cocoon/servlet CocoonServletRequest.java.Servlet22 CocoonServletResponse.java.Servlet22]
Date Wed, 16 Feb 2000 11:10:24 GMT
Sending this message again, because I think pier hasn't seen it!!!

> >   Added classes providing Servlet 2.2 compatibility... Still
> > checking what's the
> >   base servlet version we want to provide...
>
>
> With these classes you can compile it with Servlet 2.2, it's using dummy
> methods. If we're gonna use it this way (people can decide which
> of the two
> they wanna use), we can implement these methods. I hope I can do this
> today.....

Here are the diffs. I have included a diff for the build.xml. You can use
the target "compile-with-jskd2.2", or "package-with-jsdk2.2" if you like to
use the servlet 2.2 api. The classes that are generated _CANNOT_ be used on
jserv.

When I use this I get no errors concerning the servlet-files, but a lot of
errors regarding a package called com.kvisco.*. This package couldn't be
found. I don't know what kind of package this is, but until I have this
package (or the package isn't used anymore) I can't test my patches.......so
be very careful with them!!!

Gerard

Mime
View raw message